package com.cygnusa.hyperm.wrappers;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.io.Serializable;

public class RootGetAllComparisonModel implements Serializable
{

    @SerializedName("response")
    @Expose
    private String response;
    @SerializedName("data")
    @Expose
    private ComparisonDataModel dataModel;
    @SerializedName("message")
    @Expose
    private String message;
    @SerializedName("response_text")
    @Expose
    private String responseText;
    @SerializedName("status")
    @Expose
    private Integer status;
    private final static long serialVersionUID = -1950775904317799398L;

    public String getResponse() {
        return response;
    }

    public void setResponse(String response) {
        this.response = response;
    }

    public ComparisonDataModel getDataModel() {
        return dataModel;
    }

    public void setDataModel(ComparisonDataModel dataModel) {
        this.dataModel = dataModel;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public String getResponseText() {
        return responseText;
    }

    public void setResponseText(String responseText) {
        this.responseText = responseText;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

}